Password Required - "Server says 5.7.0 (#MBR1213) Please verify your account by

I am using a free email client called eM client to pull in my yahoo emails. all of a sudden I can receive emails but I cant sent any. I keep getting a pop message that says Password Required - "Server says 5.7.0 (#MBR1213) Please verify your account by (…nothing after that) with fields for user name and password.  I went to Yahoo mail on web and logged out, and logged back in but eM client still popping same message. I even changed my password but still getting same popop and cant send emails. Any suggestions?   
version 7.1.30794.0